DirectoryIterator::__toString
EmptyIterator
DirectoryIterator
PHP Manual

# DirectoryIterator::valid

Check whether current DirectoryIterator position is a valid file

### Description

public bool DirectoryIterator::valid ( void )

Check whether current DirectoryIterator position is a valid file.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the position is valid, otherwise `FALSE`

### Examples

Example #1 A DirectoryIterator::valid example

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
// Loop to end of iterator
while($iterator->valid()) {
$iterator->next();
}
$iterator->valid(); // FALSE
$iterator->rewind();
$iterator->valid(); // TRUE
?>`

### See Also

- DirectoryIterator::current
- DirectoryIterator::key
- DirectoryIterator::next
- DirectoryIterator::rewind
- Iterator::valid